require 'net/http'
require 'uri'
require 'json'

class Feather
	def self.track(identifier, interaction, api_key)
		uri = URI.parse("http://feather-cfm.com/api/v1/track/custom")
		header = {'Content-Type': 'text/json'}
		data = {
			'identifier' => identifier,
			'interaction' => interaction,
			'api_key' => api_key
		}

		http = Net::HTTP.new(uri.host, uri.port)
		request = Net::HTTP::Post.new(uri.request_uri, header)
		request.body = data.to_json

		response = http.request(request)
	end
end